com.sun.jna.platform.win32

## Class Guid.CLSID.ByReference

- java.lang.Object
- - com.sun.jna.Structure
  - - com.sun.jna.platform.win32.Guid.GUID
    - - com.sun.jna.platform.win32.Guid.CLSID.ByReference

- Enclosing class:
    Guid.CLSID

      public static class Guid.CLSID.ByReference
      extends Guid.GUID

  The Class ByReference.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.sun.jna.platform.win32.Guid.GUID

      `Guid.GUID.ByReference`

    - ### Nested classes/interfaces inherited from class com.sun.jna.Structure

      `Structure.ByValue, Structure.StructField`

  - ### Field Summary

    - ### Fields inherited from class com.sun.jna.platform.win32.Guid.GUID

      `Data1, Data2, Data3, Data4`

    - ### Fields inherited from class com.sun.jna.Structure

      `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Guid.CLSID.ByReference()` Instantiates a new by reference.
    `Guid.CLSID.ByReference(Guid.GUID guid)` Instantiates a new by reference.
    `Guid.CLSID.ByReference(Pointer memory)` Instantiates a new by reference.

  - ### Method Summary

    - ### Methods inherited from class com.sun.jna.platform.win32.Guid.GUID

      `fromBinary, fromString, getFieldOrder, newGuid, toByteArray, toGuidString, writeFieldsToMemory`

    - ### Methods inherited from class com.sun.jna.Structure

      `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, clear, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setFieldOrder, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Guid.CLSID.ByReference

          public Guid.CLSID.ByReference()

      Instantiates a new by reference.

    - #### Guid.CLSID.ByReference

          public Guid.CLSID.ByReference(Guid.GUID guid)

      Instantiates a new by reference.
      Parameters:
        `guid` - the guid

    - #### Guid.CLSID.ByReference

          public Guid.CLSID.ByReference(Pointer memory)

      Instantiates a new by reference.
      Parameters:
        `memory` - the memory

Copyright © 2007-2013 Timothy Wall. All Rights Reserved.